﻿@model crm.ProjetWeb.Models.ReclamationModel
@using crm.Services
@using crm.Domain.Entity

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";

}
@{
    IReclamationService cs = new ReclamationService();
    Reclamation c = new Reclamation();
    c = cs.Get(t => t.Reclamationid == Model.Reclamationid);
}
<script src="~/Scripts/jquery-3.3.1.js"></script>
<script>
        $(document).ready(function () {
            $("#accepter").click(function () {
                $("#modelId").val("En cours");
          
                    
            });
            $("#refuser").click(function () {
                $("#modelId").val("Refusée");
             

            });
        });
</script>
<main>
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="container-fluid mb-5">

        <!--Section: Basic examples-->
        <section>

            <div class="row">

                <div class="col-md-12">
                   
                    <dl class="dl-horizontal">
                        <dt>
                            Type
                        </dt>

                        <dd>
                            @Html.DisplayFor(model => model.type)
                        </dd>

                        <dt>
                            Description
                        </dt>

                        <dd>
                            @Html.DisplayFor(model => model.description)
                        </dd>
                        <dt>
                            Date Reclamation
                        </dt>

                        <dd>
                            @Html.DisplayFor(model => model.DateReclamation)
                        </dd>
                        
                      
                      
                        @if (c.reponse != null)
                        {
                            <dt>
                                Reponse
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.reponse)
                            
                            </dd>

                          
                        }
                        @if (c.etat == "Non traitée")
                        {
                            <div class="form-group">
                                <div class="col-md-offset-2 col-md-10">
                                    <input id="accepter" type="submit" value="Accepter" class="btn btn-default" />
                                </div>
                            </div>
                        }

                        <dd>@Html.EditorFor(model => model.etat, new { htmlAttributes = new { @class = "form-control", id = "modelId", @style = "display: none" } })    
                          

                           
                            
                            @if (c.etat == "Traitée")
                            {
                                @Html.ActionLink("Supprimer", "Delete", new { id = Model.Reclamationid })
                            }
                        </dd>

                    </dl>

                </div>

            </div>

        </section>
        <!--Section: Basic examples-->

    </div>
                            }
</main>
